function mysavefig(h, folder,fileName, fs)
% saves current figure as png, pdf and .fig, trying to maintain original aspect 
% h - figure handle
% folder - location for saving figure
% fileName - desired file name for figure
% fs - (optional) font size to impose on pdf (default font size of saved file may vary according to computer)
    disp('Saving figure...');
set(h, 'PaperUnits','centimeters');
set(h, 'Units','centimeters');
pos=get(h,'Position');

set(h, 'PaperSize', [pos(3) pos(4)]);
set(h, 'PaperPositionMode', 'manual');
set(h, 'PaperPosition',[0 0 pos(3) pos(4)]);

% Fontsize
if nargin>3
    cb=findall(h,'type', 'colorbar');
    lgd=findall(h,'type', 'legend');
    if ~isempty(cb)
        for i=1:numel(cb)
            cbrot=cb(i).Ruler.TickLabelRotation;
        end
    end

    fontsize(h,fs, 'points');
    if ~isempty(cb);
        fontsize(cb,0.9*fs, "points");
        for i=1:numel(cb)
            cb(i).Ruler.TickLabelRotation=cbrot;
        end
    end
    if ~isempty(lgd);fontsize(lgd,0.9*fs, "points");end
end

disp('Printing png...');
exportgraphics(h,[folder '/' fileName '.png']);
%saveas(h, [folder '/' fileName '.png'])
%print( '-dpng',[folder '/' fileName] );
% f = getframe(h);
% imwrite(f.cdata, [folder '/' fileName '.png'], 'png');

disp('Checking pdf folder...')
if ~exist([folder '/pdfs'], 'dir')
    disp('Creating pdf folder...')
    mkdir([folder '/pdfs']);
end
disp('Printing pdf...');
tic
%print('-dpdf',[folder '/pdfs/' fileName]);
exportgraphics(h,[folder '/pdfs/' fileName '.pdf'],'ContentType','vector')
toc


% disp('Checking .fig folder...')
% if ~exist([folder '/figs'], 'dir')
%     disp('Creating .fig folder...')
%     mkdir([folder '/figs']);
% end
% disp('Saving .fig file...');
% tic
% savefig(h,[folder '/figs/' fileName], 'compact');
% toc



disp('fig done!');
end